# Interface MenuItemProperties

Properties that can be passed into the constructor for menus/MenuItem!MenuItem.

interface MenuItemProperties {
action?: Action;
alternate?: MenuItemState;
description?: string;
failureMode?: FailureMode;
hideOnDisable?: boolean;
iconId?: string;
id?: string;
isEnabled?: boolean;
isToggled?: boolean;
submenu?: MenuProperties | Menu<MenuItemProperties, MenuProperties, MenuItem<MenuItemProperties, MenuProperties>>;
title?: string;
}

#### Hierarchy (view full)

- EntityBaseProperties
  - MenuItemProperties

#####
Index

### Properties

action?
alternate?
description?
failureMode?
hideOnDisable?
iconId?
id?
isEnabled?
isToggled?
submenu?
title?

##
Properties

### `Optional` action

action?: Action

See menus/MenuItem!MenuItem.action.

### `Optional` alternate

alternate?: MenuItemState

See menus/MenuItem!MenuItem.alternate.

### `Optional` description

description?: string

See menus/MenuItem!MenuItem.description.

### `Optional` failureMode

failureMode?: FailureMode

See support/InitializableBase!InitializableBase.failureMode.

Inherited from EntityBaseProperties.failureMode

### `Optional` hideOnDisable

hideOnDisable?: boolean

See menus/MenuItem!MenuItem.hideOnDisable.

### `Optional` iconId

iconId?: string

See menus/MenuItem!MenuItem.iconId.

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from EntityBaseProperties.id

### `Optional` isEnabled

isEnabled?: boolean

See menus/MenuItem!MenuItem.isEnabled.

### `Optional` isToggled

isToggled?: boolean

See menus/MenuItem!MenuItem.isToggled.

### `Optional` submenu

submenu?: MenuProperties | Menu<MenuItemProperties, MenuProperties, MenuItem<MenuItemProperties, MenuProperties>>

See menus/MenuItem!MenuItem.submenu.

### `Optional` title

title?: string

See menus/MenuItem!MenuItem.title.